Subject: Re: bug#19307: 24.4.51; Ellipsis created with `invisible' removes highlighting from overlay after-string after it

From: Dmitry Gutov <[email-masked]>
Date: Tue, 03 Feb 2015 22:30:30 +0200

On 02/03/2015 08:54 PM, Eli Zaretskii wrote:

> Turns out the bug I fixed concealed another one that was also there
> for a long time (more than 9 years), and became exposed due to my fix.
> Now fixed in commit e589765 on the emacs-24 branch.

Terrific. Works fine, AFAICS.

> The bugs happened in special cases for which no one coded the
> solution, so catering to those cases often needs additional code.
> Isn't that natural?

Okay. As long as you're confident that the cases are sufficiently 
special, I'm going to be content, too.

> Anyway, you should be happier with this last fix, since it removes
> more lines than it adds ;-)

Thanks, I am. :-)